export declare class ArrayUtils {
    static min<T>(array: Array<T>): T;
    static max<T>(array: Array<T>): T;
    static sum(array: number[]): number;
    static compact<T>(array: Array<T | null | undefined>): Array<T>;
    static uniq<T>(array: Array<T>): Array<T>;
    static chunk<T extends number | string>(array: Array<T>, chunkSize: number): Array<Array<T>>;
    static union<T extends number | string>(array0: Array<T>, array1: Array<T>): Array<T>;
    static intersection<T extends number | string>(array0: Array<T>, array1: Array<T>): Array<T>;
    static difference<T extends number | string>(array0: Array<T>, array1: Array<T>): Array<T>;
    static toSet<T extends number | string>(array: Array<T>): Set<T>;
    static isEqual<T extends number | string>(array0: Array<T>, array1: Array<T>): boolean;
    static sortBy<T, K extends number | string>(array: Array<T>, callback: (e: T) => K): Array<T>;
    static range(start: number, end?: number, step?: number): number[];
}
